summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-electronics/pcb
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-electronics/pcb')
-rw-r--r--sci-electronics/pcb/Manifest1
-rw-r--r--sci-electronics/pcb/files/pcb-20110918-fix-config.diff14
-rw-r--r--sci-electronics/pcb/metadata.xml23
-rw-r--r--sci-electronics/pcb/pcb-20140316.ebuild149
4 files changed, 187 insertions, 0 deletions
diff --git a/sci-electronics/pcb/Manifest b/sci-electronics/pcb/Manifest
new file mode 100644
index 00000000000..4fed252b49d
--- /dev/null
+++ b/sci-electronics/pcb/Manifest
@@ -0,0 +1 @@
+DIST pcb-20140316.tar.gz 4210077 SHA256 82c4f39438ee4e278196a3b67ef021145dcfbb00519508ccf51aa7832121c950 SHA512 5b9a2704b4d3c95f03afad0fe8fb5414b2aa9d680e40bf77ad9b46a9d4e14ba740858092794a9ff6788f31ac19063b126d8ceed6316c0d9eaaaa574e6678c071 WHIRLPOOL befd3c0116427f631ddf6c2dd49039589302908bbfcef5e524b66f625034dba87327bad500a2dba90aa1f44c2a922cfdf2a71a85e0ec8efeae5a1c4b080124be
diff --git a/sci-electronics/pcb/files/pcb-20110918-fix-config.diff b/sci-electronics/pcb/files/pcb-20110918-fix-config.diff
new file mode 100644
index 00000000000..86ac7c3aad4
--- /dev/null
+++ b/sci-electronics/pcb/files/pcb-20110918-fix-config.diff
@@ -0,0 +1,14 @@
+--- configure.ac.old 2012-03-11 17:02:27.000000000 +0100
++++ configure.ac 2012-03-11 17:02:37.000000000 +0100
+@@ -1252,11 +1252,6 @@
+ if test -d $srcdir/doc; then
+ AC_CONFIG_FILES(doc/Makefile)
+ fi
+-if test -d $srcdir/doc/gs; then
+- AC_CONFIG_FILES(doc/gs/Makefile)
+- AC_CONFIG_FILES(doc/gs/gafrc)
+- AC_CONFIG_FILES(doc/gs/gschemrc)
+-fi
+ if test -d $srcdir/example; then
+ AC_CONFIG_FILES(example/Makefile)
+ AC_CONFIG_FILES(example/libraries/Makefile)
diff --git a/sci-electronics/pcb/metadata.xml b/sci-electronics/pcb/metadata.xml
new file mode 100644
index 00000000000..80fcc7c9fb1
--- /dev/null
+++ b/sci-electronics/pcb/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-electronics</herd>
+ <longdescription>
+ Printed Circuit Board layout tool. Used together with the gEDA tools for
+ Electronic Design Automation or on its own.
+ </longdescription>
+ <use>
+ <flag name="gif">GIF graphics export</flag>
+ <flag name="jpeg">JPEG graphics export</flag>
+ <flag name="nelma">NELMA file export</flag>
+ <flag name="png">PNG graphics export</flag>
+ <flag name="gcode">gcode file export</flag>
+ <flag name="tk">Build tcl/tk graphical QFP footprint generator</flag>
+ <flag name="xrender">Translucent PCB display for Motif/Lesstif GUI</flag>
+ <flag name="m4lib-png">Enable creating png previews for the m4 library</flag>
+ <flag name="toporouter">Build toporouter</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">pcb</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-electronics/pcb/pcb-20140316.ebuild b/sci-electronics/pcb/pcb-20140316.ebuild
new file mode 100644
index 00000000000..d47a2435790
--- /dev/null
+++ b/sci-electronics/pcb/pcb-20140316.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit autotools eutils fdo-mime gnome2-utils toolchain-funcs
+
+DESCRIPTION="GPL Electronic Design Automation: Printed Circuit Board editor"
+HOMEPAGE="http://www.gpleda.org/"
+SRC_URI="mirror://sourceforge/pcb/pcb/${P}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86 ~x86-macos"
+IUSE="dbus debug doc gcode gif gtk jpeg m4lib-png motif nelma opengl png
+test tk toporouter xrender"
+# toporouter-output USE flag removed, there seems to be no result
+
+CDEPEND="dev-libs/glib:2
+ gif? ( >=media-libs/gd-2.0.23 )
+ gtk? ( x11-libs/gtk+:2 x11-libs/pango
+ x11-libs/gtkglext
+ dbus? ( sys-apps/dbus ) )
+ jpeg? ( >=media-libs/gd-2.0.23[jpeg] )
+ motif? ( !gtk? (
+ >=x11-libs/motif-2.3:0
+ dbus? ( sys-apps/dbus )
+ xrender? ( >=x11-libs/libXrender-0.9 ) ) )
+ nelma? ( >=media-libs/gd-2.0.23 )
+ opengl? ( virtual/opengl )
+ gcode? ( >=media-libs/gd-2.0.23 )
+ virtual/libintl
+ png? ( >=media-libs/gd-2.0.23[png] )
+ m4lib-png? ( >=media-libs/gd-2.0.23[png] )
+ tk? ( >=dev-lang/tk-8 )"
+#toporouter-output? ( x11-libs/cairo )
+
+DEPEND="${CDEPEND}
+ test? (
+ || ( media-gfx/graphicsmagick[imagemagick] media-gfx/imagemagick )
+ sci-electronics/gerbv
+ )
+ >=dev-util/intltool-0.35
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+RDEPEND="${CDEPEND}
+ sci-electronics/electronics-menu"
+
+DOCS="AUTHORS README NEWS ChangeLog"
+
+pkg_setup() {
+ if use gtk && use motif; then
+ elog "Can only build for GTK+ or Motif/Lesstif GUI. GTK+ has priority."
+ fi
+ if !(use gtk || use motif); then
+ elog "Building without GUI, make sure you know what you are doing."
+ fi
+ if use dbus && !(use gtk || use motif); then
+ elog "dbus needs GTK or Motif/Lesstif GUI. Try USE=-dbus or USE=gtk or USE=motif."
+ fi
+ if use opengl && !(use gtk); then
+ elog "GL drawing needs GTK"
+ fi
+ if (use gtk || (! use gtk && ! use motif)) && (use xrender); then
+ elog "The XRender extension is only usable with the Motif/Lesstif GUI."
+ fi
+}
+
+src_prepare() {
+ if use test; then
+ # adapt the list of tests to run according to USE flag settings
+ if ! use png; then
+ sed -i '/^hid_png/d' tests/tests.list || die
+ fi
+ if ! use gcode; then
+ sed -i '/^hid_gcode/d' tests/tests.list || die
+ fi
+ fi
+ # Backport from upstream
+ # http://git.geda-project.org/pcb/commit/?id=a34b40add60310a51780f359cc90d9c5ee75752c
+ # (do not install static GTS library)
+ sed -i -e 's/lib_LIBRARIES/noinst_LIBRARIES/' -e 's/include_HEADERS/noinst_HEADERS/' gts/Makefile.am || die
+
+ # fix bad syntax in Makefile.am and configure.ac before running eautoreconf
+ sed -i -e 's/:=/=/' Makefile.am || die
+ epatch "${FILESDIR}"/${PN}-20110918-fix-config.diff
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+ if use gtk ; then
+ myconf="--with-gui=gtk $(use_enable dbus) $(use_enable opengl gl) --disable-xrender"
+ elif use motif ; then
+ myconf="--with-gui=lesstif $(use_enable dbus) $(use_enable xrender)"
+ else
+ myconf="--with-gui=batch --disable-xrender --disable-dbus"
+ fi
+
+ local exporters="bom gerber ps"
+ if (use png || use jpeg || use gif) ; then
+ exporters="${exporters} png"
+ fi
+ use nelma && exporters="${exporters} nelma"
+ use gcode && exporters="${exporters} gcode"
+ use tk || export WISH="${EPREFIX}/bin/true"
+
+ econf \
+ ${myconf} \
+ $(use_enable doc) \
+ $(use_enable gif) \
+ $(use_enable jpeg) \
+ $(use_enable png) \
+ $(use_enable m4lib-png) \
+ $(use_enable toporouter) \
+ $(use_enable debug) \
+ --enable-nls \
+ --disable-toporouter-output \
+ --with-exporters="${exporters}" \
+ --disable-dependency-tracking \
+ --disable-rpath \
+ --disable-update-mime-database \
+ --disable-update-desktop-database \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+}
+# toporouter-output USE flag removed, there seems to be no result
+# $(use_enable toporouter-output) \
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}